# Copyright 2014, 2015 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<EOF

input[type="checkbox"] { display: none; }
input[type="checkbox"] + label::before {content: '\2610'; padding: 0 .5ex .25ex 0;}
input[type="checkbox"]:checked + label { text-decoration: underline; }
input[type="checkbox"]:checked + label::before {content: '\2611';}
input[type="radio"] { display: none; }
input[type="radio"] + label::before {content: '\25cb'; padding: 0 .5ex .25ex 0;}
input[type="radio"]:checked + label { text-decoration: underline; }
input[type="radio"]:checked + label::before {content: '\29bf';}

.filter {
  display: block;
  border: solid 1px;
  border-radius: 4px 4px 0 0;
  margin: .5em 2em .25em 2em;
  padding: 0 2ex .5em 2ex;
  background: #EFF;
}

.filter h1 {
  display: block;
  font-weight: bold;
  font-size: 1.25em;
  border-style: none none solid none;
  border-radius: 4px 4px 0 0;
  border-width: 1px;
  margin: 0 -1.625ex .5em -1.625ex;
  padding: .125em 1ex;
  background: #EEF;
}
.filter input[type="text"] {
  width: 100%;
  margin-bottom: .5em;
}
.filter fieldset {
  border: none;
  padding: 0 0 0 12ex;
  margin: 0 0 -.5em 0;
}
.filter fieldset legend {
  display: inline-block;
  font-size: 1em;
  font-weight: bold;
  margin-left: -12ex;
}
.filter input[type="radio"] + label {
  display: inline-block;
  position: relative;
  top: -1.125em;
  margin-left: 2ex;
}
.filter button {
  margin-top: .5em;
}

.newcard {
  display: block;
  border-width: 1px;
  border-style: solid;
  border-radius: 0 0 4px 4px;
  margin: .25em 2em 1em 2em;
  padding: .25em 2ex .25em 2ex;
  background: #EFF;
}

.card {
  display: block;
  border-style: solid;
  border-width: 1px;
  margin: .25em 2em;
  padding: 0;
  overflow: auto;
  background: #FFF;
}
.card .section {
  display: inline-block;
  float:left;
  width: 20ex;
  margin: .125em .25ex .5ex .25ex;
  padding: 0 .2em .2em .2em;
  background: #EEE;
}
.card .section a.attendance {
  display: inline-block;
  margin-right: 1ex;
  word-wrap: break-word;
}

.card .attendance {
  width: 83.5ex;
}
.card .attendance .check {
  display: inline-block;
  width: 27ex;
}

.card .control {
  float: right;
  text-align: right;
  margin-right: 0;
  background: #EEF;
}

.card div.control {
  width: 23ex;
}

.card .control .item {
  color: #008;
  margin-top: .2em;
  margin-right: 1ex;
}
.card .control a.item {
  min-width: 10ex;
  border-style: solid double solid solid;
  border-width: 1px 3px 1px 1px;
  border-color: #000;
  padding: .1em 1ex;
  background: #FFF;
}
.card .control a.item:hover{
  border-width: 1px 1px 1px 1px;
}

.card .section .sectitle {
  display: block;
  font-weight: bold;
  margin: .2em .2em .2em .2em;
}

.card .section .item {
  display: block;
  max-width: 20ex;
  word-wrap: break-word;
}

.card .section textarea.NOTE {
  min-height: 6em;
}
.card .section textarea.ADR {
  min-height: 4em;
}

.card .section .PHOTO {
  width: 20ex;
  max-heigth: 30ex;
}

.card .section .FN {
  font-weight: bold;
  font-size: 1.2em;
}

EOF

# vi:set filetype=css:
