# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

check_gen() {
  [ "$values[GENDER]" = "$1" ] && echo 'selected="selected"'
}
check_a() {
  egrep -q "^${1}.${id}$" "$_DATA/mappings/attendance" && echo 'checked="checked"'
}

n_last="$(echo "$values[N]" |sed -rn 's:^([^;]*;){0} *([^;]*).*$:\2:p')"
n_first="$(echo "$values[N]" |sed -rn 's:^([^;]*;){1} *([^;]*).*$:\2:p')"
n_middle="$(echo "$values[N]" |sed -rn 's:^([^;]*;){2} *([^;]*).*$:\2:p')"
n_pre="$(echo "$values[N]" |sed -rn 's:^([^;]*;){3} *([^;]*).*$:\2:p')"
n_post="$(echo "$values[N]" |sed -rn 's:^([^;]*;){4} *([^;]*)*$:\2:p')"

SUP_FIELDS=(N NICKNAME GENDER BDAY X-ZACK-JOINDATE X-ZACK-LEAVEDATE EMAIL TEL IMPP ADR URL NOTE)

[ -z "$values[UID]" ] && values[UID]="$(uuidgenerator)"

echo '<div id="'${id}'" class="card">'
echo '<form action="?action=update_attendee" method="POST">'
echo '<input type="hidden" name="card" value="'${id}'"/>'
echo '  <div class="section basic">'
echo '    <span class="sectitle">'$(l10n N)'</span>'
echo '    <input class="item N" name="3N" placeholder="'$(l10n n_pre)'" value="'$n_pre'" />'
echo '    <input class="item N" name="1N" placeholder="'$(l10n n_first)'" value="'$n_first'" />'
echo '    <input class="item N" name="2N" placeholder="'$(l10n n_middle)'" value="'$n_middle'" />'
echo '    <input class="item N" name="0N" placeholder="'$(l10n n_last)'" value="'$n_last'" />'
echo '    <input class="item N" name="4N" placeholder="'$(l10n n_post)'" value="'$n_post'" />'

echo '    <select class="item GENDER" name="GENDER">'
echo '      <option value="" disabled="disabled">'$(l10n GENDER)'</option>'
echo '      <option value="female" '$(check_gen female)'>'$(l10n gender_female)'</option>'
echo '      <option value="male" '$(check_gen male)'>'$(l10n gender_male)'</option>'
echo '      <option value="other" '$(check_gen other)'>'$(l10n gender_other)'</option>'
echo '      <option value="none" '$(check_gen none)'>'$(l10n gender_none)'</option>'
echo '    </select>'

for n in NICKNAME NICKNAME{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <input class="item NICKNAME" name="NICKNAME" placeholder="'$(l10n NICKNAME)'" value="'$values[$n]'" />'
done

echo '    <span class="sectitle">'$(l10n BDAY)'</span>'
echo '    <input class="item BDAY" name="BDAY" value="'$values[BDAY]'" />'

echo '    <span class="sectitle">'$(l10n X-ZACK-JOINDATE)'</span>'
echo '    <input class="item X-ZACK-LEAVEDATE" name="X-ZACK-JOINDATE" value="'$values[X-ZACK-JOINDATE]'" />'
if [ -n "$values[X-ZACK-LEAVEDATE]" ]; then
  echo '    <span class="sectitle">'$(l10n X-ZACK-LEAVEDATE)'</span>'
  echo '    <input class="item X-ZACK-LEAVEDATE" name="X-ZACK-LEAVEDATE" value="'$values[X-ZACK-LEAVEDATE]'" />'
fi

if [ -n "$values[SOUND]" ]; then
  echo '    <audio controls="controls" class="item SOUND">'
  echo '      <source type="audio/ogg" src="data:audio/ogg;base64,'$values[SOUND]'" />'
  echo '    </audio>'
fi
[ -n "$values[PHOTO]" ] &&\
  echo '    <img class="item PHOTO" src="data:image/'$tags[PHOTO_TYPE]';base64,'$values[PHOTO]'" />'
[ -n "$values[LOGO]" ] &&\
  echo '    <img class="item LOGO" src="data:image/'$tags[LOGO_TYPE]';base64,'$values[LOGO]'" />'
echo '  </div>'
echo ''
echo '  <div class="section phone">'
echo '    <span class="sectitle">'$(l10n TEL)'</span>'
  echo '    <input class="item TEL" name="TEL" value="'$values[TEL]'" />'
for n in TEL{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <input class="item TEL" name="TEL" value="'$values[$n]'" />'
done
echo '  </div>'
echo ''
echo '  <div class="section message">'
echo '    <span class="sectitle">'$(l10n EMAIL)'</span>'
  echo '    <input class="item EMAIL" name="EMAIL" value="'$values[EMAIL]'" />'
for n in EMAIL{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <input class="item EMAIL" name="EMAIL" value="'$values[$n]'" />'
done
[ -n "$values[IMPP]" ] && \
  echo '    <span class="sectitle">'$(l10n IMPP)'</span>'
for n in IMPP IMPP{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <input class="item IMPP" name="IMPP" value="'$values[$n]'" />'
done
echo '  </div>'
echo ''
echo '  <div class="section address">'
echo '    <span class="sectitle">'$(l10n ADR)'</span>'
echo '    <textarea class="item ADR" name="ADR">'$values[ADR]'</textarea>'
for n in ADR{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <textarea class="item ADR" name="ADR">'$values[$n]'</textarea>'
done
[ -n "$values[URL]" ] && \
  echo '    <span class="sectitle">'$(l10n URL)'</span>'
for n in URL URL{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <input class="item URL" name="URL" value="'$values[$n]'" />'
done
echo '  </div>'
echo ''
echo '  <div class="section note">'
echo '    <span class="sectitle">'$(l10n NOTE)'</span>'
echo '    <textarea class="item NOTE" name="NOTE">'$values[NOTE]'</textarea>'
for n in NOTE{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <textarea class="item NOTE" name="NOTE">'$values[$n]'</textarea>'
done
echo '  </div>'
echo ''
echo '  <div class="section attendance">'
echo '    <span class="sectitle">'$(l10n course_attendance)'</span>'
listcourses |while read each; do
  cname="$(sed -rn 's:^SUMMARY\:(.*)$:\1:p' "$_DATA/ical/$each")"
  echo '    <input type="checkbox" name="attendance" value="'$each'" id="cbatt_'$each'" '$(check_a "$each")'/><label for="cbatt_'$each'"class="check attendance">'$cname'</label>'
done
echo '  </div>'
echo ''
echo '  <div class="section control">'
echo '    <button class="item control" type="submit" name="action" value="addfield">'$(l10n edit_addfield)'</button>'
echo '    <select class="item control" name="newfield">'
echo '      <option value="" disabled="disabled" selected="selected">'$(l10n edit_addfieldtext)'</option>'
            for f in $SUP_FIELDS; do echo "<option value=\"$f\">$(l10n $f)</option>"; done
echo '    </select>'
echo '    <button class="item control" type="submit" name="action" value="update">'$(l10n edit_update)'</button>'
echo '    <button class="item control" type="submit" name="action" value="delete">'$(l10n edit_delete)'</button>'
echo '    <button class="item control" type="submit" name="action" value="cancel">'$(l10n edit_cancel)'</button>'
echo '  </div>'
echo '<input type="hidden" name="UID" value="'$values[UID]'"/>'
echo '</form>'
echo '</div>'

