# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

echo '<div id="'${id}'" class="card">'
echo '  <div class="section basic">'
echo '    <span class="item FN">'$values[FN]'</span>'
[ -n "$values[GENDER]" ] && \
  echo '    <span class="item GENDER">'$(l10n $values[GENDER])'</span>'
for n in NICKNAME NICKNAME{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item NICKNAME">aka. '$values[$n]'</span>'
done
[ -n "$values[BDAY]" ] &&\
  echo '    <span class="item BDAY"><b>*:</b> '$values[BDAY]'</span>'

[ -n "$values[X-ZACK-JOINDATE]" ] &&\
  echo '    <span class="item X-ZACK-JOINDATE"><b>'$(l10n label_join)':</b> '$values[X-ZACK-JOINDATE]'</span>'
[ -n "$values[X-ZACK-LEAVEDATE]" ] &&\
  echo '    <span class="item X-ZACK-LEAVEDATE"><b>'$(l10n label_leave)':</b> '$values[X-ZACK-LEAVEDATE]'</span>'

if [ -n "$values[SOUND]" ]; then
  echo '    <audio controls="controls" class="item SOUND">'
  echo '      <source type="audio/ogg" src="data:audio/ogg;base64,'$values[SOUND]'" />'
  echo '    </audio>'
fi
[ -n "$values[PHOTO]" ] &&\
  echo '    <img class="item PHOTO" src="data:image/'$tags[PHOTO_TYPE]';base64,'$values[PHOTO]'" />'
[ -n "$values[LOGO]" ] &&\
  echo '    <img class="item LOGO" src="data:image/'$tags[LOGO_TYPE]';base64,'$values[LOGO]'" />'
echo '  </div>'
echo ''
echo '  <div class="section phone">'
echo '    <span class="sectitle">'$(l10n TEL)'</span>'
for n in TEL TEL{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item TEL">'$tags[${n}_TYPE]' '$values[$n]'</span>'
done
echo '  </div>'
echo ''
echo '  <div class="section message">'
[ -n "$values[EMAIL]" ] && \
  echo '    <span class="sectitle">'$(l10n EMAIL)'</span>'
for n in EMAIL EMAIL{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item EMAIL"><a href="mailto:'$values[$n]'">'$values[$n]'</a></span>'
done
[ -n "$values[IMPP]" ] && \
  echo '    <span class="sectitle">'$(l10n IMPP)'</span>'
for n in IMPP IMPP{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item IMPP">'$tags[${n}_TYPE]' <a href="'$values[$n]'">'$values[$n]'</a></span>'
done
echo '  </div>'
echo ''
echo '  <div class="section address">'
echo '    <span class="sectitle">'$(l10n ADR)'</span>'
for n in ADR ADR{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item ADR">'$values[$n]'</span>'
done
[ -n "$values[URL]" ] && \
  echo '    <span class="sectitle">'$(l10n URL)'</span>'
for n in URL URL{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item URL"><a href="'$values[$n]'">'$values[$n]'</a></span>'
done
echo '  </div>'
echo ''
echo '  <div class="section note">'
echo '    <span class="sectitle">'$(l10n NOTE)'</span>'
for n in NOTE NOTE{0..10}; do [ -n "$values[$n]" ] &&\
  echo '    <span class="item NOTE">'$values[$n]'</span>'
done
echo '  </div>'
echo ''
echo '  <div class="section">'
echo '    <span class="sectitle">'$(l10n course_attendance)'</span>'
sed -rn 's:(.*)\t'$id'$:\1:p' "$_DATA/mappings/attendance" |while read each; do
  cname="$(sed -rn 's:^SUMMARY\:(.*)$:\1:p' "$_DATA/ical/$each")"
  echo '    <a class="item attendance" href="?p=courses#'$each'">'$cname'</a>'
done
echo '  </div>'
echo ''
echo '  <div class="section control">'
echo '    <a class="item control" href="?action=edit_attendee&card='${id}'">'$(l10n edit)'</a>'
echo '    <a class="item control" href="?action=export_vcard&card='${id}'">'$(l10n vcf_export)'</a>'
echo '  </div>'
echo '</div>'
